variable "scaleway_access_key" {
  description = "Scaleway Access key"
  type        = string
  sensitive   = true
}

variable "scaleway_secret_key" {
  description = "Scaleway Secret key"
  type        = string
  sensitive   = true
}

variable "scaleway_project_id" {
  description = "Scaleway Project Id"
  type        = string
  sensitive   = true
}

variable "scaleway_organization_id" {
  description = "Scaleway Organization Id"
  type        = string
  sensitive   = true
}

variable "scaleway_user_id" {
  description = "Scaleway User Id"
  type        = string
  sensitive   = true
}

# variable "contabo_client_id" {
#   description = "Contabo Client ID"
#   type        = string
#   sensitive   = true
# }

# variable "contabo_client_secret" {
#   description = "Contabo Client Secret"
#   type        = string
#   sensitive   = true
# }

# variable "contabo_api_password" {
#   description = "Contabo API Password"
#   type        = string
#   sensitive   = true
# }

# variable "contabo_api_user" {
#   description = "Contabo API User"
#   type        = string
# }

variable "encryption_key" {
  description = "Encryption key for sensitive data"
  type        = string
  sensitive   = true
}

variable "bucket_suffix" {
  description = "Suffix for bucket names"
  type        = string
  sensitive   = true
}

variable "system_id" {
  description = "System ID"
  type        = string
  sensitive   = true
}

variable "cloudns_auth_id" {
  description = "Cloudns Auth ID"
  type        = string
  sensitive   = true
}

variable "cloudns_password" {
  description = "Cloudns Password"
  type        = string
  sensitive   = true
}

variable "scaleway_dkim_key" {
  description = "Scaleway DKIM key"
  type        = string
  sensitive   = true
}

variable "alexpires_me_scaleway_dkim_value" {
  description = "Scaleway DKIM value (alexpires.me)"
  type        = string
  sensitive   = true
}

variable "a13labs_me_scaleway_dkim_value" {
  description = "Scaleway DKIM value (a13labs.me)"
  type        = string
  sensitive   = true
}
